org.apache.felix.connect.felix.framework.util

## Class EventDispatcher

- java.lang.Object
- - org.apache.felix.connect.felix.framework.util.EventDispatcher

    public class EventDispatcher
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EventDispatcher(ServiceRegistry registry)`

### Method Summary

Methods
`org.osgi.framework.Filter` `addListener(org.osgi.framework.BundleContext bc, Class clazz, EventListener l, org.osgi.framework.Filter filter)`
`void` `fireBundleEvent(org.osgi.framework.BundleEvent event)`
`void` `fireFrameworkEvent(org.osgi.framework.FrameworkEvent event)`
`void` `fireServiceEvent(org.osgi.framework.ServiceEvent event, Dictionary<String,?> oldProps, org.osgi.framework.Bundle framework)`
`List<org.osgi.framework.hooks.service.ListenerHook.ListenerInfo>` `getAllServiceListeners()` Returns all existing service listener information into a List of ListenerHook.ListenerInfo objects.
`org.osgi.framework.hooks.service.ListenerHook.ListenerInfo` `removeListener(org.osgi.framework.BundleContext bc, Class clazz, EventListener l)`
`void` `removeListeners(org.osgi.framework.BundleContext bc)`
`void` `startDispatching()`
`void` `stopDispatching()`
`org.osgi.framework.Filter` `updateListener(org.osgi.framework.BundleContext bc, Class clazz, EventListener l, org.osgi.framework.Filter filter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventDispatcher

    public EventDispatcher(ServiceRegistry registry)

### Method Detail

#### startDispatching

    public void startDispatching()

#### stopDispatching

    public void stopDispatching()

#### addListener

    public org.osgi.framework.Filter addListener(org.osgi.framework.BundleContext bc,
                                        Class clazz,
                                        EventListener l,
                                        org.osgi.framework.Filter filter)

#### removeListener

    public org.osgi.framework.hooks.service.ListenerHook.ListenerInfo removeListener(org.osgi.framework.BundleContext bc,
                                                                            Class clazz,
                                                                            EventListener l)

#### removeListeners

    public void removeListeners(org.osgi.framework.BundleContext bc)

#### updateListener

    public org.osgi.framework.Filter updateListener(org.osgi.framework.BundleContext bc,
                                           Class clazz,
                                           EventListener l,
                                           org.osgi.framework.Filter filter)

#### getAllServiceListeners

    public List<org.osgi.framework.hooks.service.ListenerHook.ListenerInfo> getAllServiceListeners()

Returns all existing service listener information into a List of ListenerHook.ListenerInfo objects. This is used the first time a listener hook is registered to synchronize it with the existing set of listeners.

Returns:
  Returns all existing service listener information into a List of ListenerHook.ListenerInfo objects

#### fireFrameworkEvent

    public void fireFrameworkEvent(org.osgi.framework.FrameworkEvent event)

#### fireBundleEvent

    public void fireBundleEvent(org.osgi.framework.BundleEvent event)

#### fireServiceEvent

    public void fireServiceEvent(org.osgi.framework.ServiceEvent event,
                        Dictionary<String,?> oldProps,
                        org.osgi.framework.Bundle framework)